<?php
$fileId = $_POST["fileId"];
// 一時アップロード先ファイルパス
$file_tmp  = $_FILES["userfile"]["tmp_name"];

// 正式保存先ファイルパス
$id = uniqid(rand());
$file_name = $id . "_" . $fileId . "_" . $_FILES["userfile"]["name"];
$file_save = "/var/tmp/" . $file_name;

// ファイル移動
$result = @move_uploaded_file($file_tmp, $file_save);
if ( $result === true ) {
  echo $file_name;
} else {
  error_log( print_r($_FILES["userfile"],true));
  echo "UPLOAD NG";
}
?>
